Issue 97379 - Crash after deactivating certain Calc OLE in Writer
Summary: Crash after deactivating certain Calc OLE in Writer
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: DEV300m37
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 84292
  Show dependency tree
 
Reported: 2008-12-18 05:31 UTC by amy2008
Modified: 2013-08-07 14:44 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Special Document (15.88 KB, application/vnd.oasis.opendocument.text)
2008-12-22 02:51 UTC, amy2008
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2008-12-18 05:31:56 UTC
Can reproduce it with DEV300m37 on WinXP and Ubuntu

Actuall, I don't remeber clearly how to create this special file. Now what I 
can do is to attach this special file 

How to do to reproduce it
1 Open the attached file
2 Double-click Calc object, then locate your mouse outside of Calc object

Result
OOo crahes

Regards
Limeiying
Comment 1 michael.ruess 2008-12-19 14:13:57 UTC
Hello Limeiying,
could you please attach the document to this issue, please? Thank you very much!
Michael
Comment 2 amy2008 2008-12-22 02:51:30 UTC
Created attachment 58957 [details]
Special Document
Comment 3 michael.ruess 2008-12-22 13:11:02 UTC
MRU->MAV: could you please have a look here? OOo crashes after activating and
deactivating the Calc object in the attached document. 
Comment 4 mikhail.voytenko 2009-04-24 12:23:02 UTC
mav->od: Sending to you as discussed.
Comment 5 Oliver-Rainer Wittmann 2009-04-24 15:08:49 UTC
accepted.

defect caused:
The layout frame (<SwFlyFrm> instance) containing the embedded object is
columned. This causes trouble to the Writer.

proposed solution:
<SwFlyFrm> instances containing an embedded object or a graphic have to stay
one-columned regardless of its column-attribute.
Comment 6 Oliver-Rainer Wittmann 2009-08-12 13:16:44 UTC
fixed in cws sw32bf02 - changed files:
/sw/source/core/layout/fly.cxx, 
/sw/source/core/layout/colfrm.cxx,
rev. 274891
Comment 7 Oliver-Rainer Wittmann 2009-08-21 14:39:43 UTC
OD->MRU: Checked in internal installation set of cws sw32bf02 - please verify.
Comment 8 michael.ruess 2009-08-26 10:08:12 UTC
Verified in CWS sw32bf02.
Comment 9 michael.ruess 2009-09-18 09:05:07 UTC
Checked in DEV300m58.